Bug 963499 - Fedora19:Alpha:Toolchain: glibc make check failures
Fedora19:Alpha:Toolchain: glibc make check failures
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
19
ppc64 All
unspecified Severity high
: ---
: ---
Assigned To: Carlos O'Donell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 20:10 EDT by IBM Bug Proxy
Modified: 2017-10-30 11:36 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:15:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
glibc make check out file (147.61 KB, application/x-gzip)
2013-05-15 20:10 EDT, IBM Bug Proxy
no flags Details
Results of glibc make check on F20 (130.00 KB, application/x-gzip)
2013-10-17 11:42 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 93395 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-05-15 20:10:33 EDT
== Comment: #0 - Kumuda G <kumuda.govind@in.ibm.com> - 2013-05-15 06:30:40 ==
make -k check of glibc source on Fedora 19 alpha ppc64 fails with below errors:

make[2]: *** [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/math/test-ldouble.out] Error 1
make[1]: *** [math/tests] Error 2
make: *** [check] Error 2
make[2]: *** [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/nptl/tst-cleanup2.out] Error 1
make[2]: *** [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/nptl/tst-cleanupx2.out] Error 1
make[2]: *** [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/nptl/tst-cancel24-static] Error 1
make[1]: *** [nptl/tests] Error 2
make[2]: *** [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/rt/tst-mqueue5.out] Error 1
make[1]: *** [rt/tests] Error 2
make[2]: *** No rule to make target `check-abi-librtkaio', needed by `check-abi'.
make[2]: *** [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/rtkaio/tst-mqueue5.out] Error 1
make[2]: *** [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/rtkaio/tst-cpuclock2.out] Error 1
make[2]: *** [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/rtkaio/tst-cputimer1.out] Error 1
make[1]: *** [rtkaio/tests] Error 2
make[2]: *** [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/elf/tst-audit2.out] Error 1
make[2]: *** [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/elf/check-localplt.out] Error 1
make[1]: *** [elf/tests] Error 2
make: *** [check] Error 2

--- System Details ---
cpu		: POWER7 (architected), altivec supported
platform	: pSeries
model		: IBM,1457-7FL
machine		: CHRP IBM,1457-7FL

[root@ltcfbl6fb13 ~]# uname -a
Linux ltcfbl6fb13.austin.ibm.com 3.9.0-0.rc6.git2.4.fc19.ppc64p7 #1 SMP Mon Apr 15 19:03:07 MST 2013 ppc64 ppc64 ppc64 GNU/Linux

--- Steps to reproduce ---
1. Install glibc src rpm glibc-2.17-4.fc19.src.rpm
2. cd rpmbuild/SPECS/ 
3. rpmbuild -bc  glibc.spec 
4. cd rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/
5. make -k check

glibc-make-check-F19.out file will be attached for reference.

== Comment: #1 - Kumuda G <kumuda.govind@in.ibm.com> - 2013-05-15 06:31:49 ==
Comment 1 IBM Bug Proxy 2013-05-15 20:10:44 EDT
Created attachment 748538 [details]
glibc make check out file
Comment 2 Carlos O'Donell 2013-05-15 21:25:11 EDT
Kumuda,

What problem are you looking at, or what issue have you run into that you are looking at the testsuite results?

Very few, if any, targets ever pass the glibc testsuite cleanly. There are kernel interactions to consider along with known issues in the implementation.

There is only a problem if the testsuite regresses from release to release (between y-stream releases e.g. 7.0 to 7.1).

Do you have a specific problem that you have encountered?
Comment 3 IBM Bug Proxy 2013-05-16 06:51:10 EDT
------- Comment From kumuda.govind@in.ibm.com 2013-05-16 10:40 EDT-------
This bug is filed to check on the reported compilation errors, as there were no reports found for the listed failures except math/test-ldouble.out.
Comment 4 Siddhesh Poyarekar 2013-05-16 07:36:46 EDT
(In reply to comment #0)
> == Comment: #0 - Kumuda G <kumuda.govind@in.ibm.com> - 2013-05-15 06:30:40 ==
> [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/
> nptl/tst-cancel24-static] Error 1
> make[1]: *** [nptl/tests] Error 2
> make[2]: ***

Install libstdc++-static to make this one go.

> [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/rt/
> tst-mqueue5.out] Error 1

It's one of those timing sensitive tests that fails every now and then.

> make[2]: ***
> [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/
> rtkaio/tst-cpuclock2.out] Error 1

Likewise.

> make[2]: ***
> [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/
> rtkaio/tst-cputimer1.out] Error 1

Likewise.
Comment 5 Siddhesh Poyarekar 2013-05-22 05:31:57 EDT
(In reply to IBM Bug Proxy from comment #1)
> Created attachment 748538 [details]
> glibc make check out file

BTW, the make output itself is useless here.  What we would need along with the make output are the *.out files for the tests that failed.
Comment 6 IBM Bug Proxy 2013-05-22 07:11:48 EDT
------- Comment From kumuda.govind@in.ibm.com 2013-05-22 11:01 EDT-------
(In reply to comment #13)
> (In reply to IBM Bug Proxy from comment #1)
> > Created attachment 748538 [details]
> > glibc make check out file
>
> BTW, the make output itself is useless here.  What we would need along with
> the make output are the *.out files for the tests that failed.

Below is the contents of out file for failed tests...

> math/test-ldouble.out] Error 1
# cat math/test-ldouble.out
testing long double (without inline functions)
Failure: Real part of: clog (0x0.fffffffffffff8p0 + 0x0.fffffffffffff8p-1000 i) == -1.110223024625156602053389888482372171810e-16 + 9.332636185032188789900895447238171696171e-302 i: Exception "Underflow" not set
Failure: Real part of: csqrt (0x1p-500 + 0x1p-1074 i) == 5.527147875260444560247265192192255725514e-76 + 4.469444793151709302716387622440056066334e-249 i: Exception "Underflow" set

Test suite completed:
6264 test cases plus 5256 tests for exception flags executed.
2 errors occurred.

> nptl/tst-cleanup2.out] Error 1
# cat nptl/tst-cleanup2.out
Attempting to sprintf to null ptr
Exiting main...

> nptl/tst-cleanupx2.out] Error 1
# cat nptl/tst-cleanupx2.out
Attempting to sprintf to null ptr
Exiting main...

> [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/
out file is empty

# cat rt/tst-mqueue5.out
SIGRTMIN signal in child did not arrive
child failed with status 256

> make[2]: *** No rule to make target `check-abi-librtkaio', needed by
> `check-abi'.

> [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/
> rtkaio/tst-mqueue5.out] Error 1
# cat rt/tst-mqueue5.out
SIGRTMIN signal in child did not arrive
child failed with status 256

> [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/
# cat rtkaio/tst-cpuclock2.out
live thread clock fffffffffffdb7c6 resolution 0.000000001
live thread before sleep => 0.000348034
self thread before sleep => 0.000838840
live thread after sleep => 0.500232374
self thread after sleep => 0.000952966
absolute clock_nanosleep on PROCESS_CPUTIME_ID 18446744073709543628 past target (outside reasonable range)
absolute clock_nanosleep on PROCESS_CPUTIME_ID slept 99992012 (outside reasonable range)

> [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/
# cat rtkaio/tst-cputimer1.out
clock_gettime returned timespec = { 0, 530446 }
clock_getres returned timespec = { 0, 1 }
*** timer sig1 invoked too soon: 0.401458184 instead of expected 0.401662688
*** timer sig2 invoked too soon: 0.501488862 instead of expected 0.501662688

> [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/
> elf/tst-audit2.out] Error 1
# cat elf/tst-audit2.out
version: 1
objopen: 0,
objopen: 0, /root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/elf/ld64.so.1
activity: add
objsearch: libc.so.6, LA_SET_ORIG
objsearch: /root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/libc.so.6, LA_SER_LIBPATH
objopen: 0, /root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/libc.so.6
activity: consistent
symbind64: symname=__libc_start_main, st_value=0x1000004415c0, ndx=2237, flags=0
pltenter: symname=__libc_start_main, st_value=0x1000004415c0, ndx=2237, flags=0
preinit
symbind64: symname=printf, st_value=0x1000004434e8, ndx=634, flags=0
pltenter: symname=printf, st_value=0x1000004434e8, ndx=634, flags=0
symbind64: symname=free, st_value=0x100000444ad0, ndx=2367, flags=0
pltenter: symname=free, st_value=0x100000444ad0, ndx=2367, flags=0
pltenter: symname=free, st_value=0x100000444ad0, ndx=2367, flags=0
objclose
objclose
objclose
{abcdef72, d8675309} != {d8675309, abcdef72}

> [/root/rpmbuild/BUILD/glibc-2.17-c758a686/build-ppc64-redhat-linux-power6/
> elf/check-localplt.out] Error 1
# cat elf/check-localplt.out
Extra PLT reference: libc.so: memset
Extra PLT reference: libc.so: memmove
Comment 7 IBM Bug Proxy 2013-07-19 10:40:45 EDT
------- Comment From sjmunroe@us.ibm.com 2013-07-19 14:33 EDT-------
This could be GLIBC or kernel. So need to involve Ryan and Nish to look into the root cause.

Also does state what HW model and if this is a partition with virtual or fractional cores.

------- Comment From sjmunroe@us.ibm.com 2013-07-19 14:34 EDT-------
s/does/does not/
Comment 8 IBM Bug Proxy 2013-10-17 11:42:21 EDT
Created attachment 813420 [details]
Results of glibc make check on F20


------- Comment (attachment only) From anmogarg@in.ibm.com 2013-10-17 15:37 EDT-------
Comment 9 Siddhesh Poyarekar 2014-09-29 07:28:53 EDT
(In reply to IBM Bug Proxy from comment #6)
> > math/test-ldouble.out] Error 1
> # cat math/test-ldouble.out
> testing long double (without inline functions)
> Failure: Real part of: clog (0x0.fffffffffffff8p0 + 0x0.fffffffffffff8p-1000
> i) == -1.110223024625156602053389888482372171810e-16 +
> 9.332636185032188789900895447238171696171e-302 i: Exception "Underflow" not
> set
> Failure: Real part of: csqrt (0x1p-500 + 0x1p-1074 i) ==
> 5.527147875260444560247265192192255725514e-76 +
> 4.469444793151709302716387622440056066334e-249 i: Exception "Underflow" set
> 
> Test suite completed:
> 6264 test cases plus 5256 tests for exception flags executed.
> 2 errors occurred.

These were known failures in 2.17:

https://sourceware.org/glibc/wiki/Release/2.17

(In reply to IBM Bug Proxy from comment #8)
> Created attachment 813420 [details]
> Results of glibc make check on F20
> 

Looks like this last test run was clean.  I'll close this bug unless there are any outstanding questions.
Comment 10 Fedora End Of Life 2015-01-09 13:07:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-17 10:15:08 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.